Set the default compute pool for a data plane
curl --request PUT \
--url https://api-dev.narrative.io/data-planes/{data_plane_id}/default-compute-pool/{compute_pool_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-dev.narrative.io/data-planes/{data_plane_id}/default-compute-pool/{compute_pool_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-dev.narrative.io/data-planes/{data_plane_id}/default-compute-pool/{compute_pool_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "owned",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"external_id": "<string>",
"platform": {
"type": "platform_aws",
"region": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z",
"collaborators": {
"participants": {
"type": "all"
},
"manage_compute_pools": {
"type": "all"
}
},
"description": "<string>",
"last_heartbeat_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"default_compute_pool_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"compute_pools": [
{
"type": "owned",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": 123,
"data_plane_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": {
"type": "snowflake_warehouse",
"name": "<string>",
"alias": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "<string>",
"display_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"provider": {
"type": "snowflake_warehouse",
"warehouse_name": "<string>",
"auto_suspend": 123,
"auto_resume": true,
"min_cluster_count": 123,
"max_cluster_count": 123,
"max_concurrency_level": 123,
"statement_queued_timeout_in_seconds": 123,
"statement_timeout_in_seconds": 123,
"enable_query_acceleration": true,
"query_acceleration_max_scale_factor": 123,
"resource_constraint": "<string>",
"comment": "<string>"
},
"collaborators": {
"use": {
"type": "all"
}
},
"description": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Data Planes
Set the default compute pool for a data plane
Sets the specified compute pool as the default for this data plane. The compute pool must exist, be active, belong to the same company, and be associated with this data plane.
PUT
/
data-planes
/
{data_plane_id}
/
default-compute-pool
/
{compute_pool_id}
Set the default compute pool for a data plane
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Default compute pool set
Available options:
owned - Option 1
- Option 2
Show child attributes
Show child attributes
Available options:
active, archived Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?
⌘I

